package com.dd.admin.business.author.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.author.entity.Author;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.author.domain.AuthorVo;
import com.dd.admin.business.author.domain.AuthorDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 作者（博主） 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-12-12
 */
public interface AuthorService extends IService<Author> {

    //作者（博主）-分页列表
    IPage<AuthorVo> selectAuthorPage(AuthorDto authorDto);

    //作者（博主）-列表
    List<AuthorVo> selectAuthorList(AuthorDto authorDto);

    Author selectAuthorByPhoneNumber(String phoneNumber);

    Author createNewAuthor(String phoneNumber);

    Long selectAuthorUpAndStarTotalCount(String authorId);


}
